# Schedule a certification

URL: /en/docs/api/v1/certifications/id/schedule/put
Last Updated: 2026-07-30T21:15:30.511Z

## Description
No description available.

## Available Actions
- Execute PUT request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### PUT /api/v1/certifications/{id}/schedule

**Schedule a certification**

Schedule a certification for publication.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes |  |

**Request body** (`application/json`) - required:

- `scheduled_at` (string, required): Local scheduled time interpreted in `scheduled_timezone`.
- `scheduled_timezone` (string, required): IANA timezone used to interpret `scheduled_at`.

Example (Schedule publication):

```json
{
  "scheduled_at": "2026-06-15T09:00:00",
  "scheduled_timezone": "Europe/Berlin"
}
```

**Responses:**

- `200` - Content publication scheduled
  - `success` (boolean)
  - `data` (object)
    - `target_type` (ContentPublicationTargetType (enum: document | document_version | certification | subprocessor))
    - `target_id` (string)
    - `version_id` (string)
    - `issues` (array of ReadinessIssue (object))
      - `level` (enum: error | warning | info)
      - `path` (array of string)
      - `message` (string)
- `400` - Content is not schedulable, required fields are missing, or timezone is invalid
  - `error` (string)
  - `error` (string)
  - `issues` (array of ReadinessIssue (object))
    - `level` (enum: error | warning | info)
    - `path` (array of string)
    - `message` (string)
- `401` - Unauthorized
  - `error` (string)
- `404` - Content target not found
  - `error` (string)
- `502` - Failed to queue scheduled publication
  - `error` (string)

